#ifndef AUTH_H
#define AUTH_H
/** 
 * @file auth.h
 * @brief Server side authorization
 */
 
/**
 * @defgroup auth Server side authorization
 * @{
 */
/** Type of message authentication available */
#define AUTH_HMAC_SHA1	0x0

/**
 * @retval zero on success
 * @retval -1 on failure
 */
int auth_passphrase(int sock, const char *passphrase);

/** @} */
#endif
