#ifndef LOG_H
#define LOG_H
/**
 * @file log.h
 * @brief Logging functions
 */
/** 
 * @defgroup log logging
 * @{
 */
void log_init();
void log_shutdown();

void log_printf(const char *format, ...);
void log_error(const char *s);

void fatal(const char *format, ...);

/** @} */
#endif
