#ifndef CLIENT_H
#define CLIENT_H

#include <machdep.h>
/**
 * @file Client.h
 * @brief Structure for storing client metadata
 */
typedef struct _Client *Client;

Client client_create(int sock, uint32_t addr);
void client_destroy(Client);

int client_sock(Client);
uint32_t client_addr(Client);

/* These should only be used by the ClientManager */
void client_lock(Client);
void client_unlock(Client);

#endif /* CLIENT_H */
