#ifndef HUBCONNECTION_H
#define HUBCONNECTION_H

/**
 * @file SourceConnection.h
 * @brief Code for connecting to and communicating with a hub
 */
#include <Transaction.h>

void hubcxn_init();
void hubcxn_destroy();

/* Send a transaction which receives no reply */
int hubcxn_transact_async(TransactionOut);

/* Send a transaction and read the associated reply (sets transaction serial) */
TransactionIn hubcxn_transact_sync(TransactionOut);

#endif /* HUBCONNECTION_H */
