#ifndef SERVERMANAGER_H
#define SERVERMANAGER_H

#include <machdep.h>

#include <Transaction.h>

void servermgr_init();
void servermgr_reinit();
void servermgr_destroy();

int servermgr_add_ipv4_connection(int sock, uint32_t addr);
void servermgr_remove_connection(int sock);

/* Send a transaction to all connected servers */
void servermgr_broadcast(TransactionOut);

#endif /* SERVERMANAGER_H */
