#ifndef HMAC_H
#define HMAC_H

#include "Hasher.h"

/**
 * @file HMAC.h
 * @brief RFC2104 keyed hashing for message authentication
 */

/** 
 * @defgroup hmac message authentication
 * @{
 */
void hmac_compute(HashAlgorithm algorithm, const void *key, unsigned klen, const void *data, unsigned dlen, void *digest);
/** @} */
#endif
