#ifndef LISTENER_H
#define LISTENER_H

/**
 * @file Listener.h
 * @brief Functions for managing listener socket(s)
 */
/** 
 * @defgroup listen Listener
 * @{
 */

/** 
 * Initialize the listening socket
 * @param connection_handler function to call when we get a new connection
 * @param default_port the default port to listen to
 */
void listener_init(void (*connection_handler)(msgval *), unsigned default_port);
/** destroy it */
void listener_destroy();
	
/** @} */
#endif /* LISTENER_H */
