#ifndef SYSDIR_H
#define SYSDIR_H

/** 
 * @file SysDir.h
 * @brief Abstract system directory lists
 */
#include <machdep.h>

#include "DirEntry.h"

typedef struct _SysDir *SysDir;

SysDir sysdir_open(const char *path);
void sysdir_close(SysDir);

int sysdir_get_entry(SysDir, struct DirEntry *);
void sysdir_rewind(SysDir);

#endif /* DIRLIST_H */
