#ifndef FILEOPS_H
#define FILEOPS_H

#include <machdep.h>

typedef struct _FileHandle *FileHandle;

FileHandle file_open(const char *path);
void file_close(FileHandle);

/* Read nbytes into the given buffer from the specified offset */
int file_read(FileHandle, void *buffer, unsigned nbytes, uint64_t offset);

int file_length(FileHandle file, uint64_t *length);

#endif /* FILEOPS_H */
