#ifndef CLIENTMANAGER_H
#define CLIENTMANAGER_H
/**
 * @file ClientManager.h
 * @brief Central structure for storing all client metadata
 */
void clientmgr_init();
void clientmgr_reinit();
void clientmgr_destroy();

int clientmgr_add_ipv4_connection(int sock, uint32_t addr);
void clientmgr_remove_connection(int sock);

#endif
