#ifndef DIRLIST_H
#define DIRLIST_H

/** 
 * @file DirList.h
 * @brief Abstract directory listing interface for VFS monitor
 */
#include <machdep.h>

/* Common headers */
#include <DirEntry.h>

typedef struct _DirList *DirList;

DirList dirlist_create(void);
void dirlist_destroy(DirList);

void dirlist_add_entry(DirList, struct DirEntry *);
int dirlist_get_entry(DirList, struct DirEntry *);
void dirlist_rewind(DirList);
int dirlist_count(DirList dirlist);

#endif /* DIRLIST_H */
