/**
 * @file squallhub.h 
 * @brief Application-specific settings for squallhub
*/

#ifndef SQUALLHUB_H
#define SQUALLHUB_H

/* Program information */
#define PACKAGE		"squallhub"
#define VERSION		"M1-preRC1"

/* Maximum number of clients to accept */
#define MAX_CLIENTS	1024

/* Default port to bind to */
#define DEFAULT_PORT	4044

/* Limits for the thread pool */
#define DEFAULT_MAX_ACTIVE_THREADS      128
#define DEFAULT_MAX_INACTIVE_THREADS	8
#define DEFAULT_INITIAL_THREADS		1

#endif /* PDTPD_H */
